Subject: Re: [PATCH 2/2] ixgbe: enable l2 forwarding acceleration for macvlans

From: John Fastabend <[email-masked]>
Date: Sun, 13 Oct 2013 13:48:33 -0700

On 10/11/2013 11:43 AM, Neil Horman wrote:
> Now that l2 acceleration ops are in place from the prior patch, enable ixgbe to
> take advantage of these operations.  Allow it to allocate queues for a macvlan
> so that when we transmit a frame, we can do the switching in hardware inside the
> ixgbe card, rather than in software.
>
> Signed-off-by: Neil Horman <[email-masked]>
> CC: [email-masked]
> CC: Andy Gospodarek <[email-masked]>
> CC: "David S. Miller" <[email-masked]>
> ---

Neil, I'm fairly sure I can simplify this patch further. I'll be able
to take a shot at it Tuesday if you don't mind waiting.

I can resubmit the series then and preserve your signed-off on at least
the first patch. Seem reasonable?

.John

-- 
John Fastabend         Intel Corporation